{% extends 'base.html' %}

{% block content %}
<h1>Accounts</h1>
<p><p>
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Number</th>
                <th>Number of receipts</th>
            </tr>
        </thead>
        <tbody>
            {% for account in account_list %}
            <tr>
                <td>
                    {{ account.name }}
                </td>
                <td>
                    {{ account.number }}
                </td>
                <td>
                    {% comment %} why this works: referencing account
                     model, the related_name="receipts" from class 
                     Receipts, and pulling all {% endcomment %}
                    {{ account.receipts.all|length }}
                </td>
            </tr>
            {% endfor %}
        <tbody>
    </table>
{% endblock content %}